Subject: Bug#1175: [X2Go-Dev] Bug#1175: ubuntu client kills sshd on server

From: Noel Teis <[email-masked]>
Date: Tue, 30 May 2017 13:26:22 +1000

Hi Mike,
  Yes this certainly happens.
  First thing I do after I connect is:
       service sshd restart
  About 1/3 of the time shutdown shows fail because the sshd process wasn't
running - of course it must have been running immediately before that to
allow x2go to connect.

Nothing in /var/log/secure - process just dies.

Server sshd version:

OpenSSH_5.3p1, OpenSSL 1.0.1e-fips 11 Feb 2013

I've done a test

# service sshd stop
# strace -o /tmp/strace.txt /usr/sbin/sshd

I disconnected x2go client, connected again twice successfully third time I
couldn't connect.

I have attached the strace output - hope this helps.

The windows client doesn't appear to ever cause this just the Linux one on
Ubuntu.

On 29 May 2017 at 18:54, Mike Gabriel <[email-masked]>
wrote:

> Control: reassign -1 x2goserver
> Control: tags -1 moreinfo
>
> On  Mi 17 Mai 2017 08:23:54 CEST, Noel Teis wrote:
>
> Package: x2goclient (Ubuntu-Linux)
>> Version: 4.0.1.1
>>
>> On connect sometimes the servers sshd daemon is killed stopping other
>> connections.
>> Client Ubuntu 14.04 Server CentOS 6.6
>>
>
> Hi Noel,
>
> this seems sort of none-possible.
>
> Are you saying that your ssh Server daemon process dies when someone
> connects to your server via X2Go?
>
> If that is so, it would be quite an issue. So please provider more info on
> this issue. Server logs, client output, package versions, etc.
>
> Ideally, you can describe a way for reproducing your setup, so this can be
> tracked down.
>
> Mike
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> mobile: +49 (1520) 1976 148
> landline: +49 (4354) 8390 139
>
> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
> mail: [email-masked], http://das-netzwerkteam.de
>
>

-- 

Telephone: +61 7 3870 1244 <+61%207%203870%201244>
Mobile:       +61 4 0846 6649

Email: [email-masked]

Web:  http://www.omnix.com.au